import { DialogActionsProps, DialogContentProps, DialogProps, DialogTitleProps } from "@mui/material";
import { ReactNode } from "react";
import { ButtonProps } from "@mui/joy";
export interface NerdConfirmOptions {
    title?: ReactNode | string;
    content?: ReactNode | string;
    cancelButtonText?: string;
    cancelButtonProps?: ButtonProps;
    confirmButtonText?: string;
    confirmButtonProps?: ButtonProps;
    dialogProps?: DialogProps;
    titleProps?: DialogTitleProps;
    contentProps?: DialogContentProps;
    actionsProps?: DialogActionsProps;
    onCancel?: () => void;
    onConfirm?: () => void;
}
