/// <reference types="react" />
import { AnyMaskedOptions } from "imask";
import { InputProps } from "@mui/joy";
declare const NerdMaskField: import("react").ForwardRefExoticComponent<(Omit<{
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
} & Record<string, any> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
} & {
    mask: DateConstructor;
} & Partial<Pick<import("imask").default.Masked<DateConstructor>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedPattern<DateConstructor>, "lazy" | "definitions" | "blocks" | "placeholderChar" | "displayChar">> & Partial<Pick<import("imask").default.MaskedDate, "pattern" | "max" | "min" | "format" | "parse" | "autofix">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
} & {
    mask: NumberConstructor;
} & Partial<Pick<import("imask").default.Masked<NumberConstructor>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedNumber, "scale" | "max" | "min" | "radix" | "thousandsSeparator" | "mapToRadix" | "signed" | "normalizeZeros" | "padFractionalZeros">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
} & {
    mask: string;
} & Partial<Pick<import("imask").default.Masked<string>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedPattern<string>, "lazy" | "definitions" | "blocks" | "placeholderChar" | "displayChar">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
} & {
    mask: import("imask").default.AnyMaskedOptionsArray;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.AnyMaskedOptionsArray>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedDynamic, "dispatch">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
} & {
    mask: RegExp;
} & Partial<Pick<import("imask").default.Masked<RegExp>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
} & {
    mask: Function;
} & Partial<Pick<import("imask").default.Masked<Function>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref">) & import("react").RefAttributes<import("react").ComponentType<import("react-imask/dist/mixin").IMaskInputProps<AnyMaskedOptions, false, string, HTMLInputElement, {
    inputProps?: InputProps<"div", {
        component?: import("react").ElementType<any> | undefined;
    }> | undefined;
}>>>>;
export default NerdMaskField;
